Description

Subtasks:

Task # 502: Add option to Perseus importer to only allow bottom divisions as readable u... Closed

Task # 503: Add ability to control which division tags should be considered valid Closed

Associated revisions

Revision 302 - 12/31/2012 09:35 AM - Luke Murphey

Fixed issues that prevented the Greek anthologies from importing correctly. Closes #469.

Revision 302 - 12/31/2012 09:35 AM - Luke Murphey

Fixed issues that prevented the Greek anthologies from importing correctly. Closes #469.

Revision 294 - 12/31/2012 09:35 AM - Luke Murphey

Fixed issues that prevented the Greek anthologies from importing correctly. Closes #469.

History

#1 - 12/30/2012 03:45 AM - Luke Murphey

All of the divisions are marked as readable units which is unlikely to be valid. The first division contains the following content which should not be

considered readable:

<label>ta\ tw=n *xhristianw=n e)pigra/mmata eu)sebh= te kai\ qei=a e)pigra/mmata ka)\n oi( *(/ellhnes a)pare/s

kwntai</label>

 

Chapter one includes the following:

<?xml version="1.0" ?><chapter>

               <docAuthor lang="la">

                  <persName key="tlg-0138" lang="la"><foreign lang="la">anonymi epigrammatici</foreign></persN

ame>

               </docAuthor>

               <label>ei)s to\ kibou/rion th=s a(gi/as *sofi/as</label>

               <p>

                  <lb/> a(\s oi( pla/noi kaqei=lon e)nqa/d' ei)ko/nas

<lb/> a)/naktes e)sth/lwsan eu)sebei=s pa/lin.

</p>

            </chapter>

 

The actual content appears to be sub-division under the chapter nodes. That should probably be a verse.
#2 - 12/30/2012 04:24 AM - Luke Murphey

The first actual chapter contains the following:

εἰς τὸ κιβούριον τῆς ἁγίας Σοφίας

ἃς οἱ πλάνοι καθεῖλον ἐνθάδ᾽ εἰκόνας

ἄνακτες ἐστήλωσαν εὐσεβεῖς πάλιν.

 

See http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3Atext%3A2008.01.0472%3Abook%3D1%3Achapter%3D1

The first chapter is at the following URL: http://127.0.0.1:8080/work/greek-anthology-volume-i/1/1. This chapter is not listed in the chapter list because

the parent divisions are listed as readable units and the chapters are actually bundled under the chapters beneath.

I could use an option that doesn't allow parent divisions to be readable units. However, there appears to be some divisions that made that seem like

they shouldn't be divisions.

#3 - 12/31/2012 04:40 AM - Luke Murphey

The extra unit hanging off of chapter 10 appears to be treated as a separate unit that is part of 10 in Perseus.

#4 - 12/31/2012 05:05 AM - Luke Murphey

- Status changed from New to In Progress

- Assignee set to Luke Murphey

#5 - 12/31/2012 05:10 AM - Luke Murphey

- Target version changed from 0.2 to 0.3

#6 - 12/31/2012 09:35 AM - Luke Murphey

- Status changed from In Progress to Closed

Applied in changeset r302.
